<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <title>{% block title %}GREENHEROZ | Etre éco-citoyen, c'est simple, amusant et bénéfique{% endblock %}</title>
        {% block stylesheets %}
            <link rel="stylesheet" href="{{asset('bundles/ecoville/materialize/css/materialize.min.css')}}">
            <link rel="stylesheet" href="{{asset('bundles/ecoville/css/ecoville.css')}}">
        {% endblock %}
        <link rel="icon" type="image/x-icon" href="{{ asset('bundles/ecoville/img/ecoville.png') }}" />
    </head>
    <body>

        {% block header %}
            {%include 'EVWebClientBundle:Menu:menu.html.twig'%}
        {% endblock %}
        <div style="">
            <div id="menu-layout" style="float: left; width: 50px; padding-top: 50px">
                <ul class="nav">
                    <li style="margin-bottom: 10px; margin-left: 10px">
                        <a class="tooltipped" data-position="right" data-delay="50" data-tooltip="Accueil" href="{{path('ev_web_client_accueil')}}"><i class="mdi-action-home" style="font-size: 20px;color: {%if app.request.attributes.get('_route')=="ev_web_client_accueil"%}green{%else%}gray{%endif%}"></i></a>
                    </li>
                    <li style="margin-bottom: 10px; margin-left: 10px">
                        <a class="tooltipped" data-position="right" data-delay="50" data-tooltip="Classement des éco-citoyens" href="{{path('ev_web_client_les_ecocitoyens')}}"><span class="mdi-action-assessment" style="font-size: 20px;color: {%if app.request.attributes.get('_route')=="ev_web_client_les_ecocitoyens"%}green{%else%}gray{%endif%}"></span></a>
                    </li>
                    <li style="margin-bottom: 10px; margin-left: 10px">
                        <a class="tooltipped" data-position="right" data-delay="50" data-tooltip="Evénements" href="{{path('ev_web_client_list_evenement')}}"><span class="mdi-action-event" style="font-size: 20px;color: {%if app.request.attributes.get('_route')=="ev_web_client_list_evenement"%}green{%else%}gray{%endif%}"></span></a>
                    </li>
                    <li style="margin-bottom: 10px; margin-left: 10px">
                        <a class="tooltipped" data-position="right" data-delay="50" data-tooltip="Communauté" href="javascript:void(0)"><span class="mdi-action-group-work" style="font-size: 20px;color: {%if app.request.attributes.get('_route')=="ev_web_client_null"%}green{%else%}gray{%endif%}"></span></a>
                    </li>
                    <li style="margin-bottom: 10px; margin-left: 10px">
                        <a class="tooltipped" data-position="right" data-delay="50" data-tooltip="Invite tes amis" href="javascript:void(0)"><span class="mdi-social-group-add" style="font-size: 20px;color: {%if app.request.attributes.get('_route')=="ev_web_client_null"%}green{%else%}gray{%endif%}"></span></a>
                    </li>
                    <li style="margin-bottom: 10px; margin-left: 10px">
                        <a class="tooltipped" data-position="right" data-delay="50" data-tooltip="Ma caisse" href="javascript:void(0)"><span class="mdi-editor-attach-money" style="font-size: 20px;color: {%if app.request.attributes.get('_route')=="ev_web_client_null"%}green{%else%}gray{%endif%}"></span></a>
                    </li>
                    <li style="margin-bottom: 10px; margin-left: 10px">
                        <a class="tooltipped" data-position="right" data-delay="50" data-tooltip="Profil" href="javascript:void(0)"><span class="mdi-social-person" style="font-size: 20px;color: {%if app.request.attributes.get('_route')=="ev_web_client_null"%}green{%else%}gray{%endif%}"></span></a>
                    </li>
                </ul>
            </div>
            <div id="body-layout" style="float: right; border-left: 1px solid #ccc; min-height: 600px">
                <div class="row">
                    {% block body %}
                        {% for type, messages in app.session.flashbag.all() %}
                            {% for message in messages %}
                                {%if type=="success"%}
                                    <a id="toast" style="display: none" class="btn" onclick="Materialize.toast('{{message}}', 4000, '', function() {
                                            })">Toast!</a>
                                {%elseif type=="error"%}

                                {%else%}

                                {%endif%}
                            {% endfor %}
                        {% endfor %}
                        <div class="col m10 s12 l10" style="border-right: 1px solid #ccc; min-height: 600px">
                            {% block bodyleft %}
                            {% endblock bodyleft %}
                        </div>
                        <div class="col m2 s12 l2">
                            <br/>
                            {% block bodyright %}
                            {% endblock bodyright %}
                        </div>
                    {% endblock %}
                </div>
            </div>
            <div style="clear: both"></div>
        </div>

        {%block footer%}
            <div class="row" style="height: 45px; margin: 0px">
                <div style="margin: 10px" class="col m12">
                    <span style="text-align: center">
                        <a style="margin-right: 15px; color: #777" href="#">A propos</a>
                        <a style="margin-right: 15px; color: #777" href="#">Faq</a>
                        <a style="margin-right: 15px; color: #777" href="#">CGU</a>
                        <a style="margin-right: 15px; color: #777" href="#">Contact</a>
                        <a style="color: #777" href="#">Devenir éco-partenaire</a>
                    </span>
                </div>
            </div>
        {%endblock footer%}
        {% block javascripts %}
            <script src="{{asset('bundles/ecoville/js/jquery-2.1.3.min.js')}}"></script>
            <script src="{{asset('bundles/ecoville/materialize/js/materialize.min.js')}}"></script>
            <script src="{{asset('bundles/ecoville/js/ecoville.js')}}"></script>
            <script>
                                        var l = document.getElementsByTagName("body");
                                        document.getElementById('body-layout').style.width = (l[0].offsetWidth - 50) + 'px';
                                        window.onresize = function(e) {
                                            document.getElementById('body-layout').style.width = (l[0].offsetWidth - 50) + 'px';
                                        };
                                        $("#toast").trigger('click');
            </script>
        {% endblock %}
    </body>
</html>
